//资源管理运力
<template>
  <div class="steel_inbound">
    <div class="sache">
      <el-input
        placeholder="请输入内容"
        v-model="textInput"
        clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick" :loading="selectLoading">
        <i class="el-icon-search"></i>查询
      </el-button>
       <el-button type="primary" class="btn" @click="toInsert">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <div class="table">
      <dilTable 
        v-bind.sync="options"
        :loading="tableloading"
        @func="func"
        :isKuang="isKuang"
      >
        <!-- <el-table-column fixed="right" label="操作" width="100">
          <template slot-scope="scope">
            <el-button
              type="text"
              size="small"
              @click="updateCapacity(scope.row.capacityId)"
            >
              修改
            </el-button>
            <el-button
              type="text"
              size="small"
              @click="deleteCapacity(scope.row.capacityId)"
              v-if="show==true">
              删除
            </el-button>
          </template>
        </el-table-column> -->
      </dilTable>
    </div>
  </div>
</template>
<script>
import { getCookie } from "@/utils/util.js";
export default {
  data(){
    return{
     selectLoading:false,
     isKuang:false,
     tableloading:false,
     show:false,
     name:"homeworkPath",
     textInput:"",
     restaurants: [],
     ssoId:null,
     options:{
        // first请求数据的地址
        requestUrl: "",
      },
    }
  },
  created(){
    if(getCookie("orgCode") == "wuliuchuyunzhongxin" || getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
        this.show = true
    }
    if(getCookie("orgCode") == "chengyunshang"){
      this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ getCookie("userId");
    }else if(getCookie("orgCode") == "baohua"){
      this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId=" + getCookie("userId");
     }else{
      this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId=" + null;
     } 
  },
  methods:{
    func(res){
      if(this.tableloading){
        this.tableloading = false;
      }
      if(this.isKuang){
        this.isKuang = false;
      }
      if(this.selectLoading){
        this.selectLoading = false;
      }
    },
    onclick(){
      this.isKuang = true;
      this.tableloading = true;
      this.selectLoading = true;
      if(this.textInput){
        if(getCookie("orgCode") == "chengyunshang"){
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ getCookie("userId") +"&con=" +this.textInput + "&i=" + new Date();
        }else if(getCookie("orgCode") == "baohua"){
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId=" + getCookie("userId") + this.textInput + "&i=" + new Date();
        }else{
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ null +"&con=" +this.textInput + "&i=" + new Date();
        }
      }else{
        if(getCookie("orgCode") == "chengyunshang"){
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ getCookie("userId") + "&i=" + new Date();
        }else if(getCookie("orgCode") == "baohua"){
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId=" + getCookie("userId") + "&i=" + new Date();
        }else{
          this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ null + "&i=" + new Date();
        }
      }
    },
     toInsert() {
      this.$router.push("/addCapacity");
    },
    updateCapacity(capacityId){
      this.$router.push("/editCapacity/" + capacityId)
    },
    deleteUser(userId){
      this.axios.delete("pass/v1/sysusers/" + userId) .then((res) => {
      });
    },
    deleteCapacity(capacityId) {
        if(getCookie("orgCode") == "wuliuchuyunzhongxin" || getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.$confirm('是否删除?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning',
        }).then(() => {
          this.axios
          .post("/api/v1/rms/deleteCapacity/" + capacityId)
          .then((res) => {
            if (res.data.code == "200") {
              console.log(res.data.data)
              this.deleteUser(res.data.data)
              this.$message({
                type: "success",
                message: "删除成功!",
              });    
              this.tableloading = true;
              this.options.requestUrl = "/api/v1/rms/getCapacityList?apiId=397&carrierSSOId="+ null + "&i=" + new Date(); 
            } else {
              this.$message({
                message: "删除失败",
                type: "warning",
              });
            }
          });
        }).catch(() => {
          this.$message({
            type: 'info',
            message: '已取消删除'
          });          
        });
        }else{
          this.$message.error("!权限不足，请联系管理员")
        }  
      },
    },
  }

</script>
<style lang="scss" scode>
.steel_inbound{
  .sache{
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
  }
</style>
